[zfs-discuss] ZFS package on Raspbian 9

mabi mabi at protonmail.ch
Sun Apr 8 16:04:29 EDT 2018


Thanks for the details.

I had manually installed the linux-headers-4.9.0-6-rpi2 linux-headers-4.9.0-6-common packages which seems to have been creating the trouble as as soon as I uninstalled them I was able to install the spl-dkms package. What I don't understand here is that it seems to use the Linux headers of a 3.6 kernel.

So I continued by installing zfs-dkms which also worked but unfortunately I can't load the zfs module:

$ sudo modprobe zfs
modprobe: ERROR: ../libkmod/libkmod.c:586 kmod_search_moddep() could not open moddep file '/lib/modules/4.14.30-v7+/modules.dep.bin'
modprobe: FATAL: Module zfs not found in directory /lib/modules/4.14.30-v7+

Are you able to load the zfs module? and if yes can you try a "zpool status" just to see if it does not fail?

I added below to output of the zfs-dkms package installation just in case:

$ sudo apt-get install zfs-dkms
Reading package lists... Done
Building dependency tree
Reading state information... Done
Recommended packages:
  zfsutils-linux zfs-zed
The following NEW packages will be installed:
  zfs-dkms
0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
Need to get 0 B/1,080 kB of archives.
After this operation, 8,152 kB of additional disk space will be used.
Preconfiguring packages ...
Selecting previously unselected package zfs-dkms.
(Reading database ... 39983 files and directories currently installed.)
Preparing to unpack .../zfs-dkms_0.6.5.9-5_all.deb ...
Unpacking zfs-dkms (0.6.5.9-5) ...
Setting up zfs-dkms (0.6.5.9-5) ...
WARNING: Building ZFS module on a 32-bit kernel.
Loading new zfs-0.6.5.9 DKMS files...
It is likely that 4.14.30-v7+ belongs to a chroot's host
Building for 3.6-trunk-rpi
Building initial module for 3.6-trunk-rpi
Done.

zavl:
Running module version sanity check.
- Original module
   - No original module exists within this kernel
- Installation
   - Installing to /lib/modules/3.6-trunk-rpi/extra/zfs/zavl/

zcommon.ko:
Running module version sanity check.
- Original module
   - No original module exists within this kernel
- Installation
   - Installing to /lib/modules/3.6-trunk-rpi/extra/zfs/zcommon/

znvpair.ko:
Running module version sanity check.
- Original module
   - No original module exists within this kernel
- Installation
   - Installing to /lib/modules/3.6-trunk-rpi/extra/zfs/znvpair/

zpios.ko:
Running module version sanity check.
- Original module
   - No original module exists within this kernel
- Installation
   - Installing to /lib/modules/3.6-trunk-rpi/extra/zfs/zpios/

zunicode.ko:
Running module version sanity check.
- Original module
   - No original module exists within this kernel
- Installation
   - Installing to /lib/modules/3.6-trunk-rpi/extra/zfs/zunicode/

zfs.ko:
Running module version sanity check.
- Original module
   - No original module exists within this kernel
- Installation
   - Installing to /lib/modules/3.6-trunk-rpi/extra/zfs/zfs/

depmod...

DKMS: install completed.

‐‐‐‐‐‐‐ Original Message ‐‐‐‐‐‐‐
On April 8, 2018 8:26 PM, ray vantassle <rayvantassle at gmail.com> wrote:

> Oh, this is interesting.
>
> pi at raspberrypi:~$ ls /usr/src -l
> total 12
> drwxr-xr-x 4 root root 4096 Apr  7 17:06 linux-headers-3.6-trunk-common
> drwxr-xr-x 4 root root 4096 Apr  7 17:06 linux-headers-3.6-trunk-rpi
> lrwxrwxrwx 1 root root   23 Aug 31  2014 linux-kbuild-3.6 -> ../lib/linux-kbuild-3.6
> drwxr-xr-x 3 root root 4096 Nov 28 20:11 sense-hat
>
> I did the apt-get install spl-dkms last night (Apr 7), and that's what it pulled in.
>
> Just now,  doing sudo apt-get remove spl-dkms
> told me:
> "Removing spl-dkms (0.6.5.9-1) ...
>
> -------- Uninstall Beginning --------
> Module:  spl
> Version: 0.6.5.9
> Kernel:  3.6-trunk-rpi (armv7l)
> -------------------------------------
> "
> If I then do  sudo apt-get purge spl-dkms
> It tells me:
> "Reading package lists... Done
> Building dependency tree
> Reading state information... Done
> Package 'spl-dkms' is not installed, so not removed
> The following packages were automatically installed and are no longer required:
>   dkms linux-headers-3.6-trunk-common linux-headers-3.6-trunk-rpi linux-kbuild-3.6 spl
> Use 'sudo apt autoremove' to remove them.
> "
> After doing so, then do  sudo apt-get install spl-dkms
> "Reading package lists... Done
> Building dependency tree
> Reading state information... Done
> The following additional packages will be installed:
>   dkms linux-headers-3.6-trunk-common linux-headers-3.6-trunk-rpi linux-kbuild-3.6 spl
> Suggested packages:
>   python3-apport menu
> The following NEW packages will be installed:
>   dkms linux-headers-3.6-trunk-common linux-headers-3.6-trunk-rpi linux-kbuild-3.6 spl spl-dkms
> "
>
> So that's the one that it is pulling in.
> This is a PI 3B.
> The OS is standard raspberrian, downloaded from the site.
>
> On Sun, Apr 8, 2018 at 9:59 AM, mabi <mabi at protonmail.ch> wrote:
>
>> Interesting, which Raspi model do you have? I have the newest Raspi 3+ Model B.
>>
>> Could you also do an "ls /usr/src" ? Mine contains:
>>
>> $ ls /usr/src/
>> linux-headers-4.9.0-6-common  linux-headers-4.9.0-6-rpi2  linux-kbuild-4.9
>>
>> which seems odd as the kernel version is 4.14 but I can't seem to find the package for the Linux kernel 4.14 headers.
>>
>> ‐‐‐‐‐‐‐ Original Message ‐‐‐‐‐‐‐
>> On April 8, 2018 12:35 AM, ray vantassle <rayvantassle at gmail.com> wrote:
>>
>>> It work for me, just now.
>>> On "Linux raspberrypi 4.14.24-v7+ #1097 SMP Mon Mar 5 16:42:05 GMT 2018 armv7l GNU/Linux"
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://list.zfsonlinux.org/pipermail/zfs-discuss/attachments/20180408/f178e309/attachment.html>


More information about the zfs-discuss mailing list